package com.gic.haoban.manage.service.dao.mapper.fee;

import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFee;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 企业微信收费(TabHaobanQywxFee)表数据库访问层
 *
 * @author mozhu
 * @since 2022-08-03 16:12:29
 */
public interface TabHaobanQywxFeeMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param qwFeeId 主键
     * @return 实例对象
     */
    TabHaobanQywxFee queryById(Long qwFeeId);

    /**
     * 查询指定行数据
     *
     * @param tabHaobanQywxFee 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<TabHaobanQywxFee> queryAllByLimit(TabHaobanQywxFee tabHaobanQywxFee, @Param("pageable") Pageable pageable);

    /**
     * 新增数据
     *
     * @param tabHaobanQywxFee 实例对象
     * @return 影响行数
     */
    int insert(TabHaobanQywxFee tabHaobanQywxFee);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanQywxFee> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabHaobanQywxFee> entities);

    /**
     * 修改数据
     *
     * @param tabHaobanQywxFee 实例对象
     * @return 影响行数
     */
    int update(TabHaobanQywxFee tabHaobanQywxFee);

    /**
     * 通过主键删除数据
     *
     * @param qwFeeId 主键
     * @return 影响行数
     */
    int deleteById(Long qwFeeId);

}

