package com.gic.haoban.manage.service.service.fee.impl;

import com.gic.haoban.manage.service.dao.mapper.fee.TabHaobanQywxFeeMapper;
import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFee;
import com.gic.haoban.manage.service.service.fee.HaobanQywxFeeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 企业微信收费(TabHaobanQywxFee)表服务实现类
 *
 * @author mozhu
 * @since 2022-08-03 16:12:31
 */
@Service
public class HaobanQywxFeeServiceImpl implements HaobanQywxFeeService {
    @Autowired
    private TabHaobanQywxFeeMapper tabHaobanQywxFeeMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param qwFeeId 主键
     * @return 实例对象
     */
    @Override
    public TabHaobanQywxFee queryById(Long qwFeeId) {
        return this.tabHaobanQywxFeeMapper.queryById(qwFeeId);
    }


    /**
     * 新增数据
     *
     * @param tabHaobanQywxFee 实例对象
     * @return 实例对象
     */
    @Override
    public TabHaobanQywxFee insert(TabHaobanQywxFee tabHaobanQywxFee) {
        this.tabHaobanQywxFeeMapper.insert(tabHaobanQywxFee);
        return tabHaobanQywxFee;
    }

    /**
     * 修改数据
     *
     * @param tabHaobanQywxFee 实例对象
     * @return 实例对象
     */
    @Override
    public TabHaobanQywxFee update(TabHaobanQywxFee tabHaobanQywxFee) {
        this.tabHaobanQywxFeeMapper.update(tabHaobanQywxFee);
        return this.queryById(tabHaobanQywxFee.getQwFeeId());
    }

    /**
     * 通过主键删除数据
     *
     * @param qwFeeId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long qwFeeId) {
        return this.tabHaobanQywxFeeMapper.deleteById(qwFeeId) > 0;
    }
}
