package com.gic.haoban.manage.service.service.out.impl.fee;

import com.gic.haoban.manage.api.constants.Manage3Constants;
import com.gic.haoban.manage.api.service.fee.HaobanQywxFeeApiService;
import com.gic.haoban.manage.service.config.Config;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterprise;
import com.gic.haoban.manage.service.service.WxEnterpriseService;
import com.gic.haoban.manage.service.service.fee.HaobanQywxFeeAccountStaffService;
import com.gic.haoban.manage.service.service.fee.HaobanQywxFeeOrderAccountService;
import com.gic.haoban.manage.service.service.fee.HaobanQywxFeeOrderService;
import com.gic.haoban.manage.service.service.fee.HaobanQywxFeeService;
import com.gic.wechat.api.dto.qywx.fee.FeeOrderResponseList;
import com.gic.wechat.api.dto.qywx.fee.qdto.FeeOrderListQDTO;
import com.gic.wechat.api.service.qywx.QywxUserApiService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service("haobanQywxFeeApiService")
public class HaobanQywxFeeApiServiceImpl implements HaobanQywxFeeApiService {

    private static Logger logger = LoggerFactory.getLogger(HaobanQywxFeeApiServiceImpl.class);

    @Autowired
    private HaobanQywxFeeService haobanQywxFeeService;
    @Autowired
    private HaobanQywxFeeOrderService haobanQywxFeeOrderService;
    @Autowired
    private HaobanQywxFeeOrderAccountService haobanQywxFeeOrderAccountService;
    @Autowired
    private HaobanQywxFeeAccountStaffService haobanQywxFeeAccountStaffService;
    @Autowired
    private QywxUserApiService qywxUserApiService;
    @Autowired
    private Config config;
    @Autowired
    private WxEnterpriseService wxEnterpriseService;

    @Override
    public void insert(String param) {
        List<TabHaobanWxEnterprise> tabHaobanWxEnterprises = wxEnterpriseService.listAll();
        String serviceCorpid = config.getCorpid();
        for (TabHaobanWxEnterprise tabHaobanWxEnterpris : tabHaobanWxEnterprises) {
            String corpid = tabHaobanWxEnterpris.getCorpid();
            String wxEnterpriseId = tabHaobanWxEnterpris.getWxEnterpriseId();
            String autoActiveStatus = qywxUserApiService.getAutoActiveStatus(corpid, serviceCorpid);
            if (!"1".equals(autoActiveStatus)) {
                logger.info("未开启自动激活：{}",corpid);
                wxEnterpriseService.updateAutoActiveFlagById(0,wxEnterpriseId);
                continue;
            }
            FeeOrderListQDTO feeOrderListQDTO = new FeeOrderListQDTO();
            feeOrderListQDTO.setCorpid(corpid);
            feeOrderListQDTO.setLimit(Manage3Constants.QW_LIMIT);
            FeeOrderResponseList feeOrderResponseList = qywxUserApiService.listOrder(corpid, serviceCorpid,feeOrderListQDTO);
            int errcode = feeOrderResponseList.getErrcode();
            if (errcode != 0) {
                logger.error("查询订单列表失败：{}",corpid);
                continue;
            }
            List<String> orders = new ArrayList<>();
            List<FeeOrderResponseList.OrderListDTO> orderList = feeOrderResponseList.getOrderList();
            for (FeeOrderResponseList.OrderListDTO orderListDTO : orderList) {
                orders.add(orderListDTO.getOrderId());
            }


            //更新企微状态
            wxEnterpriseService.updateAutoActiveFlagById(1,wxEnterpriseId);
        }

    }



}
